Debian Bug report logs - #623820
RM: python2.5 -- superseded by python2.6 and python2.7

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Sat, 23 Apr 2011 10:54:39 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#623820; Package ftp.debian.org. (Sat, 23 Apr 2011 10:54:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sat, 23 Apr 2011 10:54:47 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: python2.5 -- superseded by python2.6 and python2.7
Date: Sat, 23 Apr 2011 12:53:43 +0200
Package: ftp.debian.org

Please remove python2.5 from unstable; there maybe still some packages having 
(build-)dependencies on python2.5, but python2.5 isn't a support python version 
any more, and just the existence of python2.5 might make a package build or not, 
depending on the upstream build system. It seems to be better to remove 
python2.5 first, and then fix the remaining python2.5 build issues.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#623820; Package ftp.debian.org. (Sat, 23 Apr 2011 12:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sat, 23 Apr 2011 12:09:22 GMT) Full text and rfc822 format available.

Message #10 received at 623820@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Matthias Klose <doko@debian.org>, 623820@bugs.debian.org
Subject: Re: RM: python2.5 -- superseded by python2.6 and python2.7
Date: Sat, 23 Apr 2011 14:03:53 +0200
On Sat, Apr 23, 2011 at 12:53:43PM +0200, Matthias Klose wrote:
> Package: ftp.debian.org
>
> Please remove python2.5 from unstable; there maybe still some
> packages having (build-)dependencies on python2.5, but python2.5
> isn't a support python version any more, and just the existence of
> python2.5 might make a package build or not, depending on the
> upstream build system. It seems to be better to remove python2.5
> first, and then fix the remaining python2.5 build issues.

So, do you volunteer to fix the things you're willing to break or do
you expect others to fix your mess?

-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#623820; Package ftp.debian.org. (Sat, 23 Apr 2011 13:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sat, 23 Apr 2011 13:12:07 GMT) Full text and rfc822 format available.

Message #15 received at 623820@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: Matthias Klose <doko@debian.org>, 623820@bugs.debian.org
Cc: debian-python@lists.debian.org
Subject: Bug#623820: RM: python2.5
Date: Sat, 23 Apr 2011 15:07:56 +0200
[Message part 1 (text/plain, inline)]
tags 623820 + moreinfo
thanks


Il 23/04/2011 12:53, Matthias Klose ha scritto:
> Please remove python2.5 from unstable

There are still a lot of packages which require python2.5. I prepared an
analysis to track them. I excluded alpha and hppa from the list, as per
http://lists.debian.org/<20110401205549.GA12018@hymers.org.uk>. I'm sure
I saw a mail saying autobuilders don't care about those architectures
animore, but I can't find it right now. But anyway:



== Build-depend on python2.5 packages ==
freevo
gozerbot
libtuxcap
mgltools-bhtree
mgltools-gle
mgltools-opengltk
mgltools-pyglf
mgltools-sff
nagios-statd
salome


== Require sourceful uploads ==
bobo: python-bobo
libmimic: python-libmimic (#543809, #614925)
libtuxcap: libtuxcap-dev (#596310)
           libtuxcap4.0 (#596310)
obmenu: obmenu (#623012, ITAed: #583246)
pylucene: pylucene (#571545)
pytagsfs: pytagsfs
python-iplib: python-iplib
zc.buildout: python-zc.buildout
zconfig: python-zconfig
zdaemon: python-zdaemon
zope.testing: python-zope.testing


== Require binNMUs ==
gstreamer0.10-rtsp: python-gst0.10-rtsp
ldns: python-ldns
libcap-ng: python-cap-ng [amd64 armel i386 ia64 mips mipsel powerpc s390
sparc]
libvigraimpex: python-vigra [hurd-i386]
pebl: python-pebl
plplot: python-plplot
pykcs11: python-pykcs11
pyscard: python-pyscard
radare: radare-common
scim-python: python-scim
twisted-calendarserver: python-twisted-calendarserver
xdelta3: python-xdelta3
zodb: python-zodb


== Already scheduled for binNMU, waiting for the buildds ==
opensync: python-opensync [hurd-i386 mipsel]
pypoker-eval: python-pypoker-eval [hurd-i386]
ufc: python-ufc [hurd-i386 mipsel]


== Require other fixes ==
dolfin: python-dolfin (FTBFS on some architectures)
        [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc]
libavg: python-libavg (#580678)
        [amd64 armel i386 ia64 mips mipsel powerpc s390 sparc]
libopensync-plugin-python: opensync-module-python (#591566)
scribus-ng: scribus-ng [hurd-i386] (removing binary from the archive?)


== Require removal ==
python-multiprocessing (#623826)



-- 
  .''`.
 :  :' :   Luca Falavigna <dktrkranz@debian.org>
 `.  `'
   `-

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) moreinfo. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Sat, 23 Apr 2011 13:12:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#623820; Package ftp.debian.org. (Sun, 24 Apr 2011 01:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Fontaine <arnaud@andesi.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 24 Apr 2011 01:03:04 GMT) Full text and rfc822 format available.

Message #22 received at 623820@bugs.debian.org (full text, mbox):

From: Arnaud Fontaine <arnaud@andesi.org>
To: Luca Falavigna <dktrkranz@debian.org>
Cc: Matthias Klose <doko@debian.org>, 623820@bugs.debian.org, debian-python@lists.debian.org
Subject: Re: Bug#623820: RM: python2.5
Date: Sun, 24 Apr 2011 02:49:19 +0200
Hi,

    > zc.buildout: python-zc.buildout

I have already prepared a package for zc.buildout (available in pkg-zope
SVN repository) and will upload it tomorrow the latest.

Cheers,
--
Arnaud Fontaine




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#623820; Package ftp.debian.org. (Tue, 17 May 2011 18:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 17 May 2011 18:30:03 GMT) Full text and rfc822 format available.

Message #27 received at 623820@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 623820@bugs.debian.org, debian-python@lists.debian.org
Subject: Status of python2.5 removal
Date: Tue, 17 May 2011 20:25:53 +0200
[Message part 1 (text/plain, inline)]
tags 623820 - moreinfo
thanks


Status update:

The following packages are not available in Wheezy and have longstanding
RC bugs filed, so they can be safely ignored:
* dolfin
* libavg
* libopensync-plugin-python
* nagios-statd
* pylucene
* salome

The following packages are due to be uploaded without python2.5
dependencies soon, severity of related bugs has been bumped to serious
to reflect python2.5 removal:
* gozerbot
* zope.testing


Unless anybody complains, I plan to remove python2.5 in the next few
days. This is your last chance to provide fixed packages before removal
takes place.

-- 
  .''`.
 :  :' :   Luca Falavigna <dktrkranz@debian.org>
 `.  `'
   `-

[signature.asc (application/pgp-signature, attachment)]

Removed tag(s) moreinfo. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Tue, 17 May 2011 18:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#623820; Package ftp.debian.org. (Wed, 18 May 2011 00:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Finney <ben+debian@benfinney.id.au>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 18 May 2011 00:33:06 GMT) Full text and rfc822 format available.

Message #34 received at 623820@bugs.debian.org (full text, mbox):

From: Ben Finney <ben+debian@benfinney.id.au>
To: Luca Falavigna <dktrkranz@debian.org>
Cc: 623820@bugs.debian.org, debian-python@lists.debian.org
Subject: Re: Status of python2.5 removal
Date: Wed, 18 May 2011 10:27:54 +1000
[Message part 1 (text/plain, inline)]
Luca Falavigna <dktrkranz@debian.org> writes:

> Status update:
>
> The following packages are not available in Wheezy and have longstanding
> RC bugs filed, so they can be safely ignored:

Can you please list the RC bugs you're referring to?

> * libopensync-plugin-python

For this package I see only one bug, #622464, which is of ‘normal’
severity
<URL:http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=libopensync-plugin-python;dist=unstable>.

-- 
 \       “Everyone is entitled to their own opinions, but they are not |
  `\            entitled to their own facts.” —US Senator Pat Moynihan |
_o__)                                                                  |
Ben Finney <ben@benfinney.id.au>
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#623820; Package ftp.debian.org. (Wed, 18 May 2011 09:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 18 May 2011 09:57:04 GMT) Full text and rfc822 format available.

Message #39 received at 623820@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ben Finney <ben+debian@benfinney.id.au>, 623820@bugs.debian.org
Cc: Luca Falavigna <dktrkranz@debian.org>, debian-python@lists.debian.org
Subject: Re: Bug#623820: Status of python2.5 removal
Date: Wed, 18 May 2011 11:47:55 +0200
On Wed, May 18, 2011 at 10:27:54 +1000, Ben Finney wrote:

> Luca Falavigna <dktrkranz@debian.org> writes:
> 
> > Status update:
> >
> > The following packages are not available in Wheezy and have longstanding
> > RC bugs filed, so they can be safely ignored:
> 
> Can you please list the RC bugs you're referring to?
> 
> > * libopensync-plugin-python
> 
> For this package I see only one bug, #622464, which is of ‘normal’
> severity
> <URL:http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=libopensync-plugin-python;dist=unstable>.
> 
You want to look at #591566 #569393 (and grep-excuses
libopensync-plugin-python).

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#623820; Package ftp.debian.org. (Wed, 18 May 2011 12:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 18 May 2011 12:03:41 GMT) Full text and rfc822 format available.

Message #44 received at 623820@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: "Ben Finney" <ben+debian@benfinney.id.au>, 623820@bugs.debian.org
Cc: "Luca Falavigna" <dktrkranz@debian.org>, debian-python@lists.debian.org
Subject: Re: Bug#623820: Status of python2.5 removal
Date: Wed, 18 May 2011 13:01:09 +0100
On Wed, May 18, 2011 01:27, Ben Finney wrote:
> Luca Falavigna <dktrkranz@debian.org> writes:
>
>> Status update:
>>
>> The following packages are not available in Wheezy and have longstanding
>> RC bugs filed, so they can be safely ignored:
>
> Can you please list the RC bugs you're referring to?
>
>> * libopensync-plugin-python
>
> For this package I see only one bug, #622464, which is of ‘normal’
> severity
> <URL:http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=libopensync-plugin-python;dist=unstable>.

You'll probably find
<URL:http://bugs.debian.org/cgi-bin/pkgreport.cgi?src=libopensync-plugin-python;dist=unstable>
more enlightening.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#623820; Package ftp.debian.org. (Wed, 18 May 2011 22:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 18 May 2011 22:12:06 GMT) Full text and rfc822 format available.

Message #49 received at 623820@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: Ben Finney <ben+debian@benfinney.id.au>
Cc: 623820@bugs.debian.org, debian-python@lists.debian.org
Subject: Re: Bug#623820: Status of python2.5 removal
Date: Thu, 19 May 2011 00:08:43 +0200
[Message part 1 (text/plain, inline)]
Il 18/05/2011 02:27, Ben Finney ha scritto:
> Can you please list the RC bugs you're referring to?

Sure, here they are:

* libavg			#555079, #580678 (FTBFS)
* libopensync-plugin-python	#591566, #569393 (unmetdeps)
* nagios-statd			#611191
* pylucene			#571545
* salome			#607024 (but lots of other RC bugs)
* gozerbot			#602006
* zope.testing			#623922

dolfin was uploaded with fixes for outstanding RC bugs, and thus no
longer has python2.5 as dependency.

-- 
  .''`.
 :  :' :   Luca Falavigna <dktrkranz@debian.org>
 `.  `'
   `-

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#623820; Package ftp.debian.org. (Wed, 18 May 2011 22:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Finney <ben+debian@benfinney.id.au>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 18 May 2011 22:51:05 GMT) Full text and rfc822 format available.

Message #54 received at 623820@bugs.debian.org (full text, mbox):

From: Ben Finney <ben+debian@benfinney.id.au>
To: Luca Falavigna <dktrkranz@debian.org>
Cc: 623820@bugs.debian.org, debian-python@lists.debian.org
Subject: Re: Bug#623820: Status of python2.5 removal
Date: Thu, 19 May 2011 08:47:16 +1000
[Message part 1 (text/plain, inline)]
On 19-May-2011, Luca Falavigna wrote:
> Il 18/05/2011 02:27, Ben Finney ha scritto:
> > Can you please list the RC bugs you're referring to?
> 
> Sure, here they are:

Perfect, thank you.

-- 
 \              “Programs must be written for people to read, and only |
  `\        incidentally for machines to execute.” —Abelson & Sussman, |
_o__)              _Structure and Interpretation of Computer Programs_ |
Ben Finney <ben@benfinney.id.au>
[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Fri, 20 May 2011 22:36:11 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Fri, 20 May 2011 22:36:11 GMT) Full text and rfc822 format available.

Message #59 received at 623820-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 623820-close@bugs.debian.org
Cc: python2.5@packages.debian.org, python2.5@packages.qa.debian.org
Subject: Bug#623820: Removed package(s) from unstable
Date: Fri, 20 May 2011 22:34:18 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

idle-python2.5 |   2.5.5-10 | all
idle-python2.5 |   2.5.5-11 | all
 python2.5 |   2.5.5-10 | source, hurd-i386
 python2.5 |   2.5.5-11 | source, amd64, armel, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
python2.5-dbg |   2.5.5-10 | hurd-i386
python2.5-dbg |   2.5.5-11 | amd64, armel, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
python2.5-dev |   2.5.5-10 | hurd-i386
python2.5-dev |   2.5.5-11 | amd64, armel, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
python2.5-doc |   2.5.5-10 | all
python2.5-doc |   2.5.5-11 | all
python2.5-examples |   2.5.5-10 | all
python2.5-examples |   2.5.5-11 | all
python2.5-minimal |   2.5.5-10 | hurd-i386
python2.5-minimal |   2.5.5-11 | amd64, armel, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc

------------------- Reason -------------------
superseded by python2.6 and python2.7
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 623820@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/623820

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 Jun 2011 07:32:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:23:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.